Eclipse Platform Release 3.7

## org.eclipse.text.edits
Class MalformedTreeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.text.edits.MalformedTreeException

All Implemented Interfaces:
  Serializable

    public class MalformedTreeException

extends RuntimeException

Thrown to indicate that an edit got added to a parent edit but the child edit somehow conflicts with the parent or one of it siblings.

This class is not intended to be serialized.

Since:
  3.0
See Also:
  `TextEdit.addChild(TextEdit)`, `TextEdit.addChildren(TextEdit[])`, Serialized Form

Constructor Summary
`MalformedTreeException(TextEdit parent, TextEdit child, String message)` Constructs a new malformed tree exception.

Method Summary
`TextEdit` `getChild()` Returns the child edit that caused the exception.
`TextEdit` `getParent()` Returns the parent edit that caused the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedTreeException

    public MalformedTreeException(TextEdit parent,
                                  TextEdit child,
                                  String message)

  Constructs a new malformed tree exception.

  Parameters:
    `parent` - the parent edit
    `child` - the child edit
    `message` - the detail message

Method Detail

### getParent

    public TextEdit getParent()

  Returns the parent edit that caused the exception.

  Returns:
    the parent edit

### getChild

    public TextEdit getChild()

  Returns the child edit that caused the exception.

  Returns:
    the child edit

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.